# Literals extracted with mappings
High-quality literal (datatyped) properties (numeric data and text) refined by the mappings extraction.
 
Contains strings and typed literal values (dates, numbers, currency, etc.) extracted from infoboxes  refined by community-written mappings that help the parser to unify extracted values. The extracted triples are based on the parts of the mappings making use of [datatype properties](http://mappings.dbpedia.org/index.php/Template:DatatypeProperty) from the DBpedia ontology. Therefore values across different languages are comparable since they use the same property identifiers and units of measurement are normalized to standard units (e.g. inches to meters).

The `rdfs:range` of the datatype property defines the datatype expected as outcome of the mapped value. As a consequence, the appropriate [data parser](https://github.com/dbpedia/extraction-framework/tree/master/core/src/main/scala/org/dbpedia/extraction/dataparser) will be picked to extract the data from the infobox entry text and try its best to extract this type of value (e.g. a date for [dbo:birthDate](http://mappings.dbpedia.org/index.php/OntologyProperty:BirthDate)) or nothing. For datatype properties with (convertible) units of measurement the [unit parser](https://github.com/dbpedia/extraction-framework/blob/master/core/src/main/scala/org/dbpedia/extraction/dataparser/UnitValueParser.scala) will check if one of the known units for the unit dimension (see e.g. [units for Length](https://github.com/dbpedia/extraction-framework/blob/68e95bcab1d859d47690cc0c1536eaace7b01d3b/core/src/main/scala/org/dbpedia/extraction/ontology/OntologyDatatypes.scala#L371)) matches and will convert it into the standard/base unit for the dimension. Moreover, the parser will try to interpret quantity modifiers (e.g. Mio, millions), however they need to be defined and maintained by the community for every language invidually in a [config file](https://github.com/dbpedia/extraction-framework/blob/master/core/src/main/scala/org/dbpedia/extraction/config/dataparser/ParserUtilsConfig.scala). Available unit dimsenions and their standard units, units and their abbreviations can be found in [code](https://github.com/dbpedia/extraction-framework/blob/master/core/src/main/scala/org/dbpedia/extraction/ontology/OntologyDatatypes.scala).



